List YouTube channel community posts
List the community posts on a YouTube channel's Posts tab, newest first.
Headers
Get your API keyAPI key (`sfk_...`)
YouTube channel id whose posts should be listed.
min 1 chars · max 4096 chars
YouTube channel handle whose posts should be listed, with or without a leading @.
Opaque pagination cursor returned by a previous response.
min 1 chars
Endpoint-specific response payload.
Whether the channel was found. `found` may still have no posts.
one of: found, not_found
The channel, from its posts; null when it has none.
Social platform for this channel.
one of: youtube
YouTube channel id when available.
YouTube channel handle without a leading @ when available.
Public display name for the channel when available.
Canonical public YouTube channel URL when available.
Posts on this page, newest first.
YouTube community post identifier.
min 1 chars
Canonical public YouTube community post URL.
min 1 chars
Post text content when available.
Publish timestamp when available.
Human-readable relative publish time when available.
Images and any linked video attached to the post.
Image URLs attached to the community post.
min 1 chars
Linked video when the post promotes or embeds one.
YouTube video identifier.
min 1 chars
Canonical public YouTube watch URL.
min 1 chars
Video title when available.
Thumbnail image URL when available.
Publish timestamp when available.
Human-readable relative publish time when available.
View count when available.
≥ 0
Human-readable view count when available.
Duration of the video in seconds when available.
≥ 0
Human-readable duration label when available.
Engagement metrics for the post.
Like count when available.
≥ 0
Pagination information for the current response.
Cursor to pass in the next request when another page exists.
Whether another page of posts is available.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/youtube/channels/community-posts?handle=charlidamelio" \
-H "x-api-key: YOUR_API_KEY"Responses
Community posts from the channel.